#
# spec file for package libica (Version 1.3.8)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           libica
BuildRequires:  gcc-c++ openssl-devel
Summary:        An Interface Library for the ICA Device Driver
Version:        1.3.8
Release:        0.6
License:        IBM Public License
Group:          Hardware/Other
Source:         http://kent.dl.sourceforge.net/sourceforge/opencryptoki/%{name}-%{version}.tar.bz2
Source1:        libica-SuSE.tar.bz2
# cvs -d :pserver:anoncvs@www-124.ibm.com:/usr/cvs/icadd \
#    export -rHEAD -d . include/linux/icaioctl.h
# or e.g. http://www-124.ibm.com/developerworks/oss/cvs/icadd/~checkout~/include/linux/icaioctl.h?rev=1.2
Source3:        icaioctl.h
Source4:        README.SUSE
Source5:        sysconfig.z90crypt
Patch0:         libica-1.3.8-linux-config.patch
Patch1:         libica-1.3.8-buff-chk.patch
Patch2:         libica-s390-sha-aes-enhancement.patch
Patch3:         libica-ia64-pointer-type-fix.patch
Patch4:         bug-361070_libica-icainfo.patch
Url:            http://oss.software.ibm.com/developerworks/opensource/libica
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq %insserv_prereq

%description
This package contains the interface library routines used by IBM
modules to interface with the IBM eServer Cryptographic Accelerator
(ICA).



%debug_package
%prep
%setup -n %{name}-%{version}
%setup -n %{name}-%{version} -T -D -a 1
%patch0
%patch1
%patch2 -p1
%patch3
%ifarch s390 s390x
%patch4 -p1
%endif
mkdir -p include/linux/
cp %{S:3} include/linux/

%build
#./autoversion
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -I./include"
export CPPFLAGS="$RPM_OPT_FLAGS -I./include"
./configure --libdir=%_libdir --mandir=%_mandir --prefix=%_prefix
export CFLAGS=
export CPPFLAGS=
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include
make INSROOT=$RPM_BUILD_ROOT DESTDIR=$RPM_BUILD_ROOT install
cp -p include/ica_api.h $RPM_BUILD_ROOT/usr/include
%ifarch s390
cp -a SuSE/* $RPM_BUILD_ROOT
install -D %{S:5} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.z90crypt
%endif
%ifarch s390x
cp -a SuSE/* $RPM_BUILD_ROOT
install -D %{S:5} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.z90crypt
%endif
cp -a $RPM_SOURCE_DIR/README.SUSE .

%post
%run_ldconfig
%ifarch s390
%{fillup_and_insserv -n z90crypt}
%endif
%ifarch s390x
%{fillup_and_insserv -n z90crypt}
%endif

%postun
%{insserv_cleanup}

%files
%defattr(-, root, root)
%doc README.SUSE
%ifarch s390
/etc/init.d/z90crypt
/usr/sbin/rcz90crypt
/var/adm/fillup-templates/sysconfig.z90crypt
%endif
%ifarch s390x
/etc/init.d/z90crypt
/usr/sbin/rcz90crypt
/var/adm/fillup-templates/sysconfig.z90crypt
%endif
%{_libdir}/libica.*
%{_libdir}/libica-*
/usr/include/ica_api.h
%ifarch s390 s390x
/usr/bin/icainfo
%endif

%changelog
* Fri Mar 07 2008 - uli@suse.de
- apply icainfo patch (s390* only, bug #361070)
* Mon Jan 21 2008 - jjolly@suse.de
- Fixed build problem on ia64 (355133)
* Fri Jan 18 2008 - jjolly@suse.de
- Added software support for CP Assist Instructions AES & SHA
  (341050,FATE302815)
* Tue Oct 16 2007 - jjolly@suse.de
- Update to libica 1.3.8 (#240670)
* Tue Mar 13 2007 - uli@suse.de
- fixed type of sysconfig parameter Z90CRYPT_POLL (bug #242190)
* Mon Mar 12 2007 - uli@suse.de
- z90crypt: handle errors (bug #247799)
* Fri Feb 16 2007 - uli@suse.de
- ignore missing crypto driver (bug #243795)
* Thu Feb 08 2007 - hare@suse.de
- Add support for poll_thread parameter (#242190)
* Mon May 29 2006 - aj@suse.de
- Add gcc-c++ to BuildRequires.
* Fri May 19 2006 - ro@suse.de
- fix build for the rest of platforms
* Fri May 19 2006 - hare@suse.de
- Update to libica 1.3.7 (#160036 - LTC22571)
* Fri Apr 21 2006 - hare@suse.de
- Increasing # of open handles with symmetric crypto support
  (#165323 - LTC23095)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 - ro@suse.de
- include string.h and unistd.h in icalinux.c
* Mon Dec 12 2005 - hare@suse.de
- Port package from SLES9 SP3
- Update to libica 1.3.6-rc3.
* Wed Nov 02 2005 - hare@suse.de
- Close all filehandles (#130060 - LTC19221).
* Wed Oct 05 2005 - uli@suse.de
- downgrade to libica 1.3.6-rc2 (contains AES software fallback,
  bug #117336)
* Thu Sep 29 2005 - hare@suse.de
- Update to libica 1.3.6 (#117336)
* Fri Sep 23 2005 - ro@suse.de
- fix implicit declaration
* Wed Aug 31 2005 - ihno@suse.de
- Changing the default value from 0 to -1 in rcz90crypt (#114371)
* Mon May 23 2005 - hare@suse.de
- Finally fix 'reload' messages (#81824 - LTC15733).
* Fri May 20 2005 - hare@suse.de
- Fix sigill patch.
* Wed May 18 2005 - hare@suse.de
- Remove printf output from sigill patch (#81829 - LTC15731).
* Tue May 10 2005 - hare@suse.de
- Use correct default value for z90crypt (#81825 - LTC15732).
* Mon May 09 2005 - hare@suse.de
- Fix messages for 'reload' (#81824 - LTC15733).
* Tue Feb 08 2005 - hare@suse.de
- Fixed SIGILL on z900 (#46422).
* Fri Jul 23 2004 - hare@suse.de
- Fixed range for 'domain' parameter in sysconfig.z90crypt (#42005).
* Wed Jul 14 2004 - hare@suse.de
- Fix module loading error (#42006).
- Add sysconfig variable to set the 'domain' parameter (#42005).
* Wed Jun 23 2004 - uli@suse.de
- update -> 1.3.5-3 (bug #42122)
* Mon May 24 2004 - bk@suse.de
- Update README.SuSE and correct name as well
- Use modprobe instead of insmod and fix module load error(#40526)
- Fix error checking for no hardware found case and hw error on load
* Fri May 07 2004 - hare@suse.de
- Update Readme again for the correct name (SUSE LINUX Server).
- Moved README.SuSE to README.SUSE.
* Fri May 07 2004 - hare@suse.de
- Update Readme to refer to the correct name (SUSE Linux Server).
* Thu May 06 2004 - hare@suse.de
- Update to 1.3.5-2 (#38511, #39693).
- Update Readme to refer to SUSE Linux Server instead of
  SuSE Linux Enterprise Server.
* Thu Apr 01 2004 - hare@suse.de
- Update to 1.3.5
- export CFLAGS & CPPFLAGS for configure
- Exclude S/390-specific files for other archs (#37183)
* Fri Jan 16 2004 - ro@suse.de
- add "-I./include" to CFLAGS and use RPM_OPT_FLAGS
* Tue Jan 13 2004 - adrian@suse.de
- fix build
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Wed Jul 30 2003 - poeml@suse.de
- update to 1.3.4
* Sun Jul 27 2003 - poeml@suse.de
- update to 1.3.2
* Fri Jul 11 2003 - poeml@suse.de
- update to 1.3.1:
  now supports DES, TDES and SHA, as well as RSA.
- throw libica.patch away, since autoversion and Makefile.am have
  similar changes now, and the renaming from _LINUX_S390_ to
  __s390__ is not really necessary
- use %%defattr
- checked that icaioctl.h is still current
- dump the bin-only z90crypt-2.4.7-s390-2.tar.gz which has gone
  open source meanwhile and comes with the kernel sources
* Thu Oct 31 2002 - froh@suse.de
- added documentation how to set up crypto hardware support,
  esp. S/390 and zSeries. (#16011, #22056)
* Thu Oct 10 2002 - froh@suse.de
- upgraded to version 1.2 as requested by IBM to make openCryptoki 1.5
  actually work. (#20737)
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Wed Jul 31 2002 - froh@suse.de
- fixed src/Makefile.am and ugly ./autoversion to honor %%_lib and
  to build on non-s390
* Tue Jul 30 2002 - froh@suse.de
- updated to current libica
- hacked in icaioctl.h for build, 'til we have the module in the
  kernel.
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Tue May 07 2002 - ro@suse.de
- fix for current automake/autoconf
* Sat Apr 27 2002 - ro@suse.de
- removed old fillup-template and START_ variable
* Wed Mar 27 2002 - ihno@suse.de
- modified etc/init.d/z90crypt-script to report result at start.
* Tue Feb 05 2002 - froh@suse.de
- Added openssl to #neededforbuild, which is needed in addition to
  openssl-devel
* Wed Jan 30 2002 - froh@suse.de
- initial version
